<?php
// ****************************************'
//  Le CASTEL-BTS SIO/ PROJET GSB          '
//  Programme: c_ComptesRendus             '
//  Objet    : gestion des Comptes Rendus  '
//  Client   : Bts SIO1                    '
//  Version  : 1.0                         '
//  Date     : 31 mars 2022                '
//  Auteur  : LG                           '
//*****************************************'

$action 	= $_REQUEST['action'];
if (!isset($_REQUEST['zNom'])) {$nom = '*';} 	else {$nom =$_REQUEST['zNom'];}
if (!isset($_REQUEST['zPrenom'])) 	{$prenom = '*';} 	else {$prenom =($_REQUEST['zPrenom']);}
if (!isset($_REQUEST['zAdresse'])) 	{$adresse = '*';} 	else {$adresse =$_REQUEST['zAdresse'];}
if (!isset($_REQUEST['zCP'])) {$codePostal = 0;} 	else {$codePostal =intval($_REQUEST['zCP']);}
if (!isset($_REQUEST['zVille'])) 	{$ville = '*';} 	else {$ville =$_REQUEST['zVille'];}

switch($action) {
case 'voir':
	{
		include("vues/v_entete.php");
		$lesVisites=$pdo->getLesVisites();
		include("vues/v_choixCR.php");
		$enteteParametre=$lesVisites[$noP-1];
		$lesInfosParametre = $pdo->getParametre($choix);
		include("vues/v_ficheParametre.php");
		$stat="2";
		break;
	}
//-----------------------------------------liste détaillée pour un parametre
case 'liste':
	{
		include("vues/v_entete.php");
		$lesVisites=$pdo->getLesVisites();
		include("vues/v_choixCR.php");
		$titre2=$lesStatistiques[0]['libelle'];
		include("vues/v_listeStat.php");
		break;
	}
//----------------------------------------- AJOUT/MODIFICATION/SUPPRESSION
case 'ajouter':
case 'modifier':
case 'supprimer':
	{ 
		include("vues/v_entete.php");
		$infosParam = $pdo->getInfosParam($type, $valeur);
		include("vues/v_unParam.php");
		break;
	}
//----------------------------------------- VALIDATION AJOUT	
case 'validerAjouter':
	{// enregistrement de la ligne et retour
		if ($_REQUEST['zOk']=="OK") {$pdo->ajoutParametre($type, $valeur, addslashes ($_REQUEST['zLibelle']), $_REQUEST['zTerritoire'], $_REQUEST['zDep'] , $plancher, $plafond);}
		header ('location: index.php?choixTraitement=param&action=voir&lstParam='.$type);
	}
//----------------------------------------- VALIDATION MODIFICATION
case 'validerModifier':
	{ 
		if ($_REQUEST['zOk']=="OK") {$pdo->majParametre($type, $valeur, addslashes ($_REQUEST['zLibelle']), $_REQUEST['zTerritoire'], $_REQUEST['zDep'], $plancher, $plafond);}	
		header ('location: index.php?choixTraitement=param&action=voir&lstParam='.$type);
		break;
	}
//----------------------------------------- VALIDATION SUPPRESSION
case 'validerSupprimer':
	{ 
		if ($_REQUEST['zOk']=="OK") {$pdo->supprimeParametre($type, $valeur);}	
		header ('location: index.php?choixTraitement=param&action=voir&lstParam='.$type);
		break;
	}
	
default :
	{
		echo 'erreur d\'aiguillage !'.$action;
		break;
	}
}
?>